apiVersion: submariner.io/v1
kind: Gateway
metadata:
  annotations:
    submariner.io/globalIp: 242.1.255.254
    update-timestamp: "1739551967"
  creationTimestamp: "2025-02-14T13:33:26Z"
  generation: 2372
  managedFields:
  - apiVersion: submariner.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:submariner.io/globalIp: {}
    manager: submariner-globalnet
    operation: Update
    time: "2025-02-14T13:33:30Z"
  - apiVersion: submariner.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:update-timestamp: {}
      f:status:
        .: {}
        f:connections: {}
        f:haStatus: {}
        f:localEndpoint:
          .: {}
          f:backend: {}
          f:backend_config:
            .: {}
            f:natt-discovery-port: {}
            f:preferred-server: {}
            f:udp-port: {}
          f:cable_name: {}
          f:cluster_id: {}
          f:healthCheckIP: {}
          f:hostname: {}
          f:nat_enabled: {}
          f:private_ip: {}
          f:public_ip: {}
          f:subnets: {}
        f:statusFailure: {}
        f:version: {}
    manager: submariner-gateway
    operation: Update
    time: "2025-02-14T16:52:47Z"
  name: worker0.rdr-blue-site-svl-2.cp.fyre.ibm.com
  namespace: submariner-operator
  resourceVersion: "80228838"
  uid: 9eaec89b-489f-4d1b-8e35-ef316a59687e
status:
  connections:
  - endpoint:
      backend: libreswan
      backend_config:
        natt-discovery-port: "4490"
        preferred-server: "false"
        public-ip: ipv4:9.46.194.102
        udp-port: "4500"
      cable_name: submariner-cable-rdr-blue-site-svl-1-10-17-109-163
      cluster_id: rdr-blue-site-svl-1
      healthCheckIP: 242.0.255.254
      hostname: worker0.rdr-blue-site-svl-1.cp.fyre.ibm.com
      nat_enabled: true
      private_ip: 10.17.109.163
      public_ip: 9.46.194.102
      subnets:
      - 242.0.0.0/16
    latencyRTT:
      average: 1.040342ms
      last: 628.733µs
      max: 33.194694ms
      min: 413.808µs
      stdDev: 1.179422ms
    status: connected
    statusMessage: ""
    usingIP: 10.17.109.163
  haStatus: active
  localEndpoint:
    backend: libreswan
    backend_config:
      natt-discovery-port: "4490"
      preferred-server: "false"
      udp-port: "4500"
    cable_name: submariner-cable-rdr-blue-site-svl-2-10-17-82-86
    cluster_id: rdr-blue-site-svl-2
    healthCheckIP: 242.1.255.254
    hostname: worker0.rdr-blue-site-svl-2.cp.fyre.ibm.com
    nat_enabled: true
    private_ip: 10.17.82.86
    public_ip: 170.225.223.18
    subnets:
    - 242.1.0.0/16
  statusFailure: ""
  version: release-0.19-63bfdce6ad6e
